Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.HiveEngine/3.3/HiveEngine.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.HiveEngine/3.3/HiveEngine.cs	(revision 6723)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.HiveEngine/3.3/HiveEngine.cs	(revision 6725)
@@ -73,9 +73,9 @@
     }
 
-    // Job can't be storable, so RefreshableHiveExperiment can't be stored. But as previous runs are only informative it does not matter (only execution time on hive will be wrong because of that -> Todo)
-    private ItemCollection<RefreshableHiveExperiment> hiveExperiments = new ItemCollection<RefreshableHiveExperiment>();
-    public ItemCollection<RefreshableHiveExperiment> HiveExperiments {
-      get { return hiveExperiments; }
-      set { hiveExperiments = value; }
+    // Task can't be storable, so RefreshableHiveExperiment can't be stored. But as previous runs are only informative it does not matter (only execution time on hive will be wrong because of that -> Todo)
+    private ItemCollection<RefreshableJob> jobs = new ItemCollection<RefreshableJob>();
+    public ItemCollection<RefreshableJob> Jobs {
+      get { return jobs; }
+      set { jobs = value; }
     }
 
@@ -111,5 +111,5 @@
       this.executionTimeOnHive = original.executionTimeOnHive;
       this.IsPrivileged = original.IsPrivileged;
-      // do not clone hiveExperiments - otherwise they would be sent with every job
+      // do not clone jobs - otherwise they would be sent with every task
     }
     public override IDeepCloneable Clone(Cloner cloner) {
@@ -158,15 +158,15 @@
           if (coll.Parallel) {
             try {
-              // clone the parent scope here and reuse it for each operation. otherwise for each job the whole scope-tree first needs to be copied and then cleaned, which causes a lot of work for the Garbage Collector
+              // clone the parent scope here and reuse it for each operation. otherwise for each task the whole scope-tree first needs to be copied and then cleaned, which causes a lot of work for the Garbage Collector
               IScope parentScopeClone = (IScope)((IAtomicOperation)coll.First()).Scope.Parent.Clone();
               parentScopeClone.SubScopes.Clear();
               parentScopeClone.ClearParentScopes();
 
-              EngineJob[] jobs = new EngineJob[coll.Count];
+              EngineTask[] jobs = new EngineTask[coll.Count];
               for (int i = 0; i < coll.Count; i++) {
-                jobs[i] = new EngineJob(coll[i], new SequentialEngine.SequentialEngine());
+                jobs[i] = new EngineTask(coll[i], new SequentialEngine.SequentialEngine());
               }
 
-              var experiment = CreateHiveExperiment();
+              var experiment = CreateJob();
               IScope[] scopes = ExecuteOnHive(experiment, jobs, parentScopeClone, cancellationToken);
 
@@ -241,16 +241,16 @@
     /// </summary>
     /// <param name="jobs"></param>
-    private IScope[] ExecuteOnHive(RefreshableHiveExperiment refreshableHiveExperiment, EngineJob[] jobs, IScope parentScopeClone, CancellationToken cancellationToken) {
+    private IScope[] ExecuteOnHive(RefreshableJob refreshableJob, EngineTask[] jobs, IScope parentScopeClone, CancellationToken cancellationToken) {
       log.LogMessage(string.Format("Executing {0} operations on the hive.", jobs.Length));
       IScope[] scopes = new Scope[jobs.Length];
       object locker = new object();
-      var hiveExperiment = refreshableHiveExperiment.HiveExperiment;
+      var hiveExperiment = refreshableJob.Job;
 
       try {
         // create upload-tasks
         for (int i = 0; i < jobs.Length; i++) {
-          var engineHiveJob = new EngineHiveJob(jobs[i], parentScopeClone);
-          engineHiveJob.Job.Priority = this.Priority;
-          refreshableHiveExperiment.HiveJobs.Add(engineHiveJob);
+          var engineHiveJob = new EngineHiveTask(jobs[i], parentScopeClone);
+          engineHiveJob.Task.Priority = this.Priority;
+          refreshableJob.HiveJobs.Add(engineHiveJob);
 
           // shuffle random variable to avoid the same random sequence in each operation; todo: does not yet work (it cannot find the random variable)
@@ -259,23 +259,23 @@
             random.Reset(random.Next());
         }
-        HiveClient.StartExperiment((e) => { log.LogException(e); }, refreshableHiveExperiment, cancellationToken);
+        HiveClient.StartExperiment((e) => { log.LogException(e); }, refreshableJob, cancellationToken);
 
         // do polling until experiment is finished and all jobs are downloaded
-        while (!refreshableHiveExperiment.AllJobsFinished()) {
+        while (!refreshableJob.AllJobsFinished()) {
           Thread.Sleep(2000);
-          this.ExecutionTimeOnHive = TimeSpan.FromMilliseconds(hiveExperiments.Sum(x => x.ExecutionTime.TotalMilliseconds));
+          this.ExecutionTimeOnHive = TimeSpan.FromMilliseconds(jobs.Sum(x => x.ExecutionTime.TotalMilliseconds));
           cancellationToken.ThrowIfCancellationRequested();
         }
-        log.LogMessage(string.Format("{0} finished (TotalExecutionTime: {1}).", refreshableHiveExperiment.ToString(), refreshableHiveExperiment.ExecutionTime));
-
-        var failedJobs = refreshableHiveExperiment.HiveJobs.Where(x => x.Job.State == TaskState.Failed);
+        log.LogMessage(string.Format("{0} finished (TotalExecutionTime: {1}).", refreshableJob.ToString(), refreshableJob.ExecutionTime));
+
+        var failedJobs = refreshableJob.HiveJobs.Where(x => x.Task.State == TaskState.Failed);
         if (failedJobs.Count() > 0) {
-          throw new HiveEngineException("Task failed: " + failedJobs.First().Job.StateLog.Last().Exception);
+          throw new HiveEngineException("Task failed: " + failedJobs.First().Task.StateLog.Last().Exception);
         }
 
         // get scopes
         int j = 0;
-        foreach (var hiveJob in refreshableHiveExperiment.HiveJobs) {
-          var scope = ((IAtomicOperation)((EngineJob)hiveJob.ItemJob).InitialOperation).Scope;
+        foreach (var hiveJob in refreshableJob.HiveJobs) {
+          var scope = ((IAtomicOperation)((EngineTask)hiveJob.ItemTask).InitialOperation).Scope;
           scopes[j++] = scope;
         }
@@ -290,30 +290,30 @@
       }
       finally {
-        DisposeHiveExperiment(refreshableHiveExperiment);
-      }
-    }
-
-    private RefreshableHiveExperiment CreateHiveExperiment() {
+        DisposeJob(refreshableJob);
+      }
+    }
+
+    private RefreshableJob CreateJob() {
       lock (locker) {
         var hiveExperiment = new Job();
-        hiveExperiment.Name = "HiveEngine Run " + hiveExperiments.Count;
+        hiveExperiment.Name = "HiveEngine Run " + jobs.Count;
         hiveExperiment.DateCreated = DateTime.Now;
         hiveExperiment.ResourceNames = this.ResourceNames;
         hiveExperiment.IsPrivileged = this.IsPrivileged;
-        var refreshableHiveExperiment = new RefreshableHiveExperiment(hiveExperiment);
+        var refreshableHiveExperiment = new RefreshableJob(hiveExperiment);
         refreshableHiveExperiment.IsDownloadable = false; // download happens automatically so disable button
-        hiveExperiments.Add(refreshableHiveExperiment);
+        jobs.Add(refreshableHiveExperiment);
         return refreshableHiveExperiment;
       }
     }
 
-    private void DisposeHiveExperiment(RefreshableHiveExperiment refreshableHiveExperiment) {
-      refreshableHiveExperiment.RefreshAutomatically = false;
-      DeleteHiveExperiment(refreshableHiveExperiment.HiveExperiment.Id);
-      ClearData(refreshableHiveExperiment);
-    }
-
-    private void ClearData(RefreshableHiveExperiment refreshableHiveExperiment) {
-      var jobs = refreshableHiveExperiment.GetAllHiveJobs();
+    private void DisposeJob(RefreshableJob refreshableJob) {
+      refreshableJob.RefreshAutomatically = false;
+      DeleteHiveExperiment(refreshableJob.Job.Id);
+      ClearData(refreshableJob);
+    }
+
+    private void ClearData(RefreshableJob refreshableJob) {
+      var jobs = refreshableJob.GetAllHiveJobs();
       foreach (var job in jobs) {
         job.ClearData();
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.HiveEngine/3.3/Tests/Program.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.HiveEngine/3.3/Tests/Program.cs	(revision 6723)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.HiveEngine/3.3/Tests/Program.cs	(revision 6725)
@@ -33,8 +33,8 @@
       ContentManager.Initialize(new PersistenceContentManager());
 
-      OptimizerJob job = new OptimizerJob(new Experiment());
+      OptimizerTask job = new OptimizerTask(new Experiment());
       job.IndexInParentOptimizerList = 15;
 
-      //byte[] data = PersistenceUtil.Serialize(job);
+      //byte[] data = PersistenceUtil.Serialize(task);
 
       //var job2 = PersistenceUtil.Deserialize<OptimizerJob>(data);
@@ -66,5 +66,5 @@
         Console.WriteLine("Log:");
         Console.WriteLine(string.Join(Environment.NewLine, alg.Engine.Log.Messages.ToArray()));
-        var exps = ((HiveEngine)alg.Engine).HiveExperiments;
+        var exps = ((HiveEngine)alg.Engine).Jobs;
         foreach (var exp in exps) {
           Console.WriteLine("# " + exp.ToString());
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/ServiceTests.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/ServiceTests.cs	(revision 6723)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/ServiceTests.cs	(revision 6725)
@@ -51,5 +51,5 @@
       DT.Job experiment = new DT.Job() { Name = "TestExperiment", Description = "" };
 
-      // create job
+      // create task
       DT.Task job = new DT.Task() { CoresNeeded = 1, MemoryNeeded = 0, Priority = 0 };
       job.State = DT.TaskState.Offline;
@@ -100,9 +100,9 @@
       experiment.Id = service.AddHiveExperiment(experiment);
 
-      // add job
+      // add task
       job.JobId = experiment.Id;
       job.Id = service.AddJob(job, jobData, new List<Guid> { slave.Id });
 
-      // test job
+      // test task
       DT.Task jobLoaded = service.GetJob(job.Id);
       Assert.AreEqual(job.Id, jobLoaded.Id);
@@ -127,5 +127,5 @@
       var actions = service.Heartbeat(new DT.Heartbeat() { SlaveId = slave.Id, AssignJob = true, FreeCores = 4, FreeMemory = 1024, JobProgress = new Dictionary<Guid, TimeSpan>() });
       Assert.AreEqual(1, actions.Count);
-      Assert.AreEqual(MessageContainer.MessageType.CalculateJob, actions[0].Message);
+      Assert.AreEqual(MessageContainer.MessageType.CalculateTask, actions[0].Message);
       Assert.AreEqual(job.Id, actions[0].TaskId);
 
@@ -142,10 +142,10 @@
       Assert.AreEqual(0, actions.Count);
 
-      // the job should be in state 'Calculating' now
+      // the task should be in state 'Calculating' now
       jobLoaded = service.GetJob(job.Id);
       Assert.AreEqual(TaskState.Calculating, jobLoaded.State);
       Assert.AreEqual(new TimeSpan(1, 5, 10, 20, 30), jobLoaded.ExecutionTime);
 
-      // test if the job is returned for the resource
+      // test if the task is returned for the resource
       var jobsBySlave = service.GetJobsByResourceId(slave.Id);
       Assert.AreEqual(1, jobsBySlave.Count());
@@ -155,15 +155,15 @@
       service.UpdateJobState(jobLoaded.Id, DT.TaskState.Finished, slave.Id, null, null);
 
-      // test if the job is returned for the resource (it should not be)
+      // test if the task is returned for the resource (it should not be)
       var jobsBySlave2 = service.GetJobsByResourceId(slave.Id);
       Assert.AreEqual(0, jobsBySlave2.Count());
 
-      // set job waiting again
+      // set task waiting again
       service.UpdateJobState(job.Id, DT.TaskState.Waiting, null, null, string.Empty);
 
-      // get job again
+      // get task again
       actions = service.Heartbeat(new DT.Heartbeat() { SlaveId = slave.Id, AssignJob = true, FreeCores = 4, FreeMemory = 1024, JobProgress = new Dictionary<Guid, TimeSpan>() });
       Assert.AreEqual(1, actions.Count);
-      Assert.AreEqual(MessageContainer.MessageType.CalculateJob, actions[0].Message);
+      Assert.AreEqual(MessageContainer.MessageType.CalculateTask, actions[0].Message);
       Assert.AreEqual(job.Id, actions[0].TaskId);
 
@@ -186,8 +186,8 @@
       Assert.AreEqual(null, service.GetJobData(job.Id));
 
-      // send another heartbeat with the deleted job; the server should command the abortion of the job
+      // send another heartbeat with the deleted task; the server should command the abortion of the task
       actions = service.Heartbeat(new DT.Heartbeat() { SlaveId = slave.Id, AssignJob = true, FreeCores = 3, FreeMemory = 1024, JobProgress = progress });
       Assert.AreEqual(1, actions.Count);
-      Assert.AreEqual(MessageContainer.MessageType.AbortJob, actions[0].Message);
+      Assert.AreEqual(MessageContainer.MessageType.AbortTask, actions[0].Message);
       Assert.AreEqual(job.Id, actions[0].TaskId);
 
@@ -203,10 +203,10 @@
       DT.Job experiment = new DT.Job() { Name = "TestExperiment", Description = "" };
 
-      // create parent job
+      // create parent task
       DT.Task parentJob = new DT.Task() {
         CoresNeeded = 1,
         MemoryNeeded = 0,
         Priority = 0,
-        IsParentJob = true,
+        IsParentTask = true,
         FinishWhenChildJobsFinished = true
       };
@@ -216,5 +216,5 @@
       DT.TaskData parentJobData = new DT.TaskData() { Data = new byte[0] };
 
-      // create child job
+      // create child task
       DT.Task childJob = new DT.Task() {
         CoresNeeded = 1,
@@ -243,14 +243,14 @@
       experiment.Id = service.AddHiveExperiment(experiment);
 
-      // add parent job
+      // add parent task
       parentJob.JobId = experiment.Id;
       parentJob.Id = service.AddJob(parentJob, parentJobData, new List<Guid> { slave.Id });
 
-      // add child job
+      // add child task
       childJob.JobId = experiment.Id;
       childJob.Id = service.AddChildJob(parentJob.Id, childJob, childJobData);
       childJob.ParentTaskId = parentJob.Id;
 
-      // test child job
+      // test child task
       var childJobLoaded = service.GetJob(childJob.Id);
       Assert.AreEqual(childJob.ParentTaskId, childJobLoaded.ParentTaskId);
@@ -258,20 +258,20 @@
       Assert.AreEqual(DT.TaskState.Waiting, childJobLoaded.State);
       Assert.AreEqual(false, childJobLoaded.FinishWhenChildJobsFinished);
-      Assert.AreEqual(false, childJobLoaded.IsParentJob);
-
-      // test parent job
+      Assert.AreEqual(false, childJobLoaded.IsParentTask);
+
+      // test parent task
       var parentJobLoaded = service.GetJob(parentJob.Id);
       Assert.AreEqual(parentJob.JobId, parentJobLoaded.JobId);
       Assert.AreEqual(TaskState.Waiting, parentJobLoaded.State);
       Assert.AreEqual(true, parentJobLoaded.FinishWhenChildJobsFinished);
-      Assert.AreEqual(true, parentJobLoaded.IsParentJob);
+      Assert.AreEqual(true, parentJobLoaded.IsParentTask);
 
       // test heartbeat
       var actions = service.Heartbeat(new DT.Heartbeat() { SlaveId = slave.Id, AssignJob = true, FreeCores = 4, FreeMemory = 1024, JobProgress = new Dictionary<Guid, TimeSpan>() });
-      Assert.AreEqual(1, actions.Count); // only the child job should be assigned
-      Assert.AreEqual(MessageContainer.MessageType.CalculateJob, actions[0].Message);
+      Assert.AreEqual(1, actions.Count); // only the child task should be assigned
+      Assert.AreEqual(MessageContainer.MessageType.CalculateTask, actions[0].Message);
       Assert.AreEqual(childJob.Id, actions[0].TaskId);
 
-      // lifecycle - let it process one server-heartbeat; the parent job must NOT be set to finished
+      // lifecycle - let it process one server-heartbeat; the parent task must NOT be set to finished
       service.TriggerEventManager(true);
 
@@ -279,11 +279,11 @@
       Assert.AreEqual(TaskState.Waiting, parentJobLoaded.State);
 
-      // set child job to finished
+      // set child task to finished
       childJobLoaded = service.UpdateJobState(childJobLoaded.Id, DT.TaskState.Finished, slave.Id, null, null);
 
-      // lifecycle - let it process one server-heartbeat; this should set the parent job to finished
+      // lifecycle - let it process one server-heartbeat; this should set the parent task to finished
       service.TriggerEventManager(true);
 
-      // test if parent job is finished
+      // test if parent task is finished
       parentJobLoaded = service.GetJob(parentJob.Id);
       Assert.AreEqual(TaskState.Finished, parentJobLoaded.State);
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/Convert.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/Convert.cs	(revision 6723)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/Convert.cs	(revision 6725)
@@ -44,5 +44,5 @@
         State = Convert.ToDto(source.State),
         StateLog = (source.StateLogs == null ? new List<DT.StateLog>() : source.StateLogs.Select(x => Convert.ToDto(x)).OrderBy(x => x.DateTime).ToList()),
-        IsParentJob = source.IsParentTask,
+        IsParentTask = source.IsParentTask,
         FinishWhenChildJobsFinished = source.FinishWhenChildJobsFinished,
         Command = Convert.ToDto(source.Command),
@@ -72,5 +72,5 @@
           target.StateLogs.Add(Convert.ToEntity(sl));
         }
-        target.IsParentTask = source.IsParentJob;
+        target.IsParentTask = source.IsParentTask;
         target.FinishWhenChildJobsFinished = source.FinishWhenChildJobsFinished;
         target.Command = Convert.ToEntity(source.Command);
@@ -82,5 +82,5 @@
     #endregion
 
-    #region JobData
+    #region TaskData
     public static DT.TaskData ToDto(DB.TaskData source) {
       if (source == null) return null;
@@ -133,5 +133,5 @@
     #endregion
 
-    #region HiveExperiment
+    #region Job
     public static DT.Job ToDto(DB.Job source) {
       if (source == null) return null;
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/DataTransfer/Task.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/DataTransfer/Task.cs	(revision 6723)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/DataTransfer/Task.cs	(revision 6725)
@@ -39,5 +39,5 @@
     public DateTime? LastHeartbeat { get; set; }
     [DataMember]
-    public bool IsParentJob { get; set; }
+    public bool IsParentTask { get; set; }
     [DataMember]
     public bool FinishWhenChildJobsFinished { get; set; }
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/HiveDao.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/HiveDao.cs	(revision 6723)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/HiveDao.cs	(revision 6725)
@@ -150,5 +150,5 @@
     #endregion
 
-    #region JobData Methods
+    #region TaskData Methods
     public DT.TaskData GetJobData(Guid id) {
       using (var db = CreateContext(true)) {
@@ -230,5 +230,5 @@
     #endregion
 
-    #region HiveExperiment Methods
+    #region Job Methods
     public DT.Job GetHiveExperiment(Guid id) {
       using (var db = CreateContext()) {
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/HiveService.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/HiveService.cs	(revision 6723)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/HiveService.cs	(revision 6725)
@@ -196,5 +196,5 @@
     #endregion
 
-    #region Job Control Methods
+    #region Task Control Methods
     public void StopJob(Guid jobId) {
       authen.AuthenticateForAnyRole(HiveRoles.Administrator, HiveRoles.Client, HiveRoles.Slave);
@@ -238,5 +238,5 @@
     #endregion
 
-    #region HiveExperiment Methods
+    #region Job Methods
     public Job GetHiveExperiment(Guid id) {
       authen.AuthenticateForAnyRole(HiveRoles.Administrator, HiveRoles.Client);
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/Interfaces/IHiveDao.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/Interfaces/IHiveDao.cs	(revision 6723)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/Interfaces/IHiveDao.cs	(revision 6725)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Services.Hive {
   public interface IHiveDao {
-    #region Job Methods
+    #region Task Methods
     DT.Task GetJob(Guid id);
     IEnumerable<DT.Task> GetJobs(Expression<Func<Task, bool>> predicate);
@@ -39,5 +39,5 @@
     #endregion
 
-    #region JobData Methods
+    #region TaskData Methods
     DT.TaskData GetJobData(Guid id);
     IEnumerable<DT.TaskData> GetJobDatas(Expression<Func<TaskData, bool>> predicate);
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/Manager/HeartbeatManager.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/Manager/HeartbeatManager.cs	(revision 6723)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/Manager/HeartbeatManager.cs	(revision 6725)
@@ -63,5 +63,5 @@
             var job = availableJobs.First();
             if (AssignJob(slave, job))
-              actions.Add(new MessageContainer(MessageContainer.MessageType.CalculateJob, job.Id));
+              actions.Add(new MessageContainer(MessageContainer.MessageType.CalculateTask, job.Id));
           }
         }
@@ -101,14 +101,14 @@
           if (curJob == null) {
             // job does not exist in db
-            actions.Add(new MessageContainer(MessageContainer.MessageType.AbortJob, jobProgress.Key));
+            actions.Add(new MessageContainer(MessageContainer.MessageType.AbortTask, jobProgress.Key));
             DA.LogFactory.GetLogger(this.GetType().Namespace).Log("Job does not exist in DB: " + jobProgress.Key);
           } else {
             if (curJob.CurrentStateLog.SlaveId == Guid.Empty || curJob.CurrentStateLog.SlaveId != heartbeat.SlaveId) {
               // assigned slave does not match heartbeat
-              actions.Add(new MessageContainer(MessageContainer.MessageType.AbortJob, curJob.Id));
+              actions.Add(new MessageContainer(MessageContainer.MessageType.AbortTask, curJob.Id));
               DA.LogFactory.GetLogger(this.GetType().Namespace).Log("The slave " + heartbeat.SlaveId + " is not supposed to calculate Job: " + curJob);
             } else if (!JobIsAllowedToBeCalculatedBySlave(heartbeat.SlaveId, curJob)) {
               // assigned resources ids of job do not match with slaveId (and parent resourceGroupIds); this might happen when slave is moved to different group
-              actions.Add(new MessageContainer(MessageContainer.MessageType.PauseJob, curJob.Id));
+              actions.Add(new MessageContainer(MessageContainer.MessageType.PauseTask, curJob.Id));
             } else {
               // save job execution time
@@ -118,11 +118,11 @@
               switch (curJob.Command) {
                 case Command.Stop:
-                  actions.Add(new MessageContainer(MessageContainer.MessageType.StopJob, curJob.Id));
+                  actions.Add(new MessageContainer(MessageContainer.MessageType.StopTask, curJob.Id));
                   break;
                 case Command.Pause:
-                  actions.Add(new MessageContainer(MessageContainer.MessageType.PauseJob, curJob.Id));
+                  actions.Add(new MessageContainer(MessageContainer.MessageType.PauseTask, curJob.Id));
                   break;
                 case Command.Abort:
-                  actions.Add(new MessageContainer(MessageContainer.MessageType.AbortJob, curJob.Id));
+                  actions.Add(new MessageContainer(MessageContainer.MessageType.AbortTask, curJob.Id));
                   break;
               }
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/MessageContainer.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/MessageContainer.cs	(revision 6723)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/MessageContainer.cs	(revision 6725)
@@ -37,10 +37,10 @@
     public enum MessageType {
       // *** commands from hive server ***
-      CalculateJob, // slave should calculate a job. the job is already assigned to the slave
-      StopJob,   // slave should stop the job and submit results
+      CalculateTask, // slave should calculate a job. the job is already assigned to the slave
+      StopTask,   // slave should stop the job and submit results
       StopAll,   // stop all and submit results
-      AbortJob,  // slave should shut the job down immediately without submitting results
+      AbortTask,  // slave should shut the job down immediately without submitting results
       AbortAll,  // slave should abort all jobs immediately
-      PauseJob,  // pause the job and submit the results   
+      PauseTask,  // pause the job and submit the results   
       PauseAll,  // pause all jobs and submit results
       Restart,   // restart operation after Sleep
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/ServiceContracts/IHiveService.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/ServiceContracts/IHiveService.cs	(revision 6723)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/ServiceContracts/IHiveService.cs	(revision 6725)
@@ -31,57 +31,57 @@
   public interface IHiveService {
 
+    #region Task Methods
+    [OperationContract]
+    Guid AddJob(Task job, TaskData jobData, IEnumerable<Guid> resourceIds);
+
+    [OperationContract]
+    Guid AddChildJob(Guid parentJobId, Task job, TaskData jobData);
+
+    [OperationContract]
+    Task GetJob(Guid jobId);
+
+    [OperationContract]
+    IEnumerable<Task> GetJobs();
+
+    [OperationContract]
+    IEnumerable<LightweightTask> GetLightweightJobs(IEnumerable<Guid> jobIds);
+
+    [OperationContract]
+    IEnumerable<LightweightTask> GetLightweightChildJobs(Guid? parentJobId, bool recursive, bool includeParent);
+
+    [OperationContract]
+    IEnumerable<LightweightTask> GetLightweightExperimentJobs(Guid experimentId);
+
+    [OperationContract]
+    TaskData GetJobData(Guid jobId);
+
+    [OperationContract]
+    void UpdateJob(Task jobDto);
+
+    [OperationContract]
+    void UpdateJobData(Task jobDto, TaskData jobDataDto);
+
+    [OperationContract]
+    void DeleteJob(Guid jobId);
+
+    [OperationContract]
+    void DeleteChildJobs(Guid parentJobId);
+
+    [OperationContract]
+    Task UpdateJobState(Guid jobId, TaskState jobState, Guid? slaveId, Guid? userId, string exception);
+    #endregion
+
+    #region Job Control Methods
+    [OperationContract]
+    void StopJob(Guid jobId);
+
+    [OperationContract]
+    void PauseJob(Guid jobId);
+
+    [OperationContract]
+    void RestartJob(Guid jobId);
+    #endregion
+
     #region Job Methods
-    [OperationContract]
-    Guid AddJob(Task job, TaskData jobData, IEnumerable<Guid> resourceIds);
-
-    [OperationContract]
-    Guid AddChildJob(Guid parentJobId, Task job, TaskData jobData);
-
-    [OperationContract]
-    Task GetJob(Guid jobId);
-
-    [OperationContract]
-    IEnumerable<Task> GetJobs();
-
-    [OperationContract]
-    IEnumerable<LightweightTask> GetLightweightJobs(IEnumerable<Guid> jobIds);
-
-    [OperationContract]
-    IEnumerable<LightweightTask> GetLightweightChildJobs(Guid? parentJobId, bool recursive, bool includeParent);
-
-    [OperationContract]
-    IEnumerable<LightweightTask> GetLightweightExperimentJobs(Guid experimentId);
-
-    [OperationContract]
-    TaskData GetJobData(Guid jobId);
-
-    [OperationContract]
-    void UpdateJob(Task jobDto);
-
-    [OperationContract]
-    void UpdateJobData(Task jobDto, TaskData jobDataDto);
-
-    [OperationContract]
-    void DeleteJob(Guid jobId);
-
-    [OperationContract]
-    void DeleteChildJobs(Guid parentJobId);
-
-    [OperationContract]
-    Task UpdateJobState(Guid jobId, TaskState jobState, Guid? slaveId, Guid? userId, string exception);
-    #endregion
-
-    #region Job Control Methods
-    [OperationContract]
-    void StopJob(Guid jobId);
-
-    [OperationContract]
-    void PauseJob(Guid jobId);
-
-    [OperationContract]
-    void RestartJob(Guid jobId);
-    #endregion
-
-    #region HiveExperiment Methods
     [OperationContract]
     Job GetHiveExperiment(Guid id);
